//---------------------------------------------------------------------------
#ifndef guiH
#define guiH
//---------------------------------------------------------------------------
#include <mgl.h>
#include "seznam.h"
//---------------------------------------------------------------------------

class TView {
  protected:
    int x, y, w, h;
    bool visible;
    bool pozadiOn;

  public:
    TView(int x, int y, int w, int h);
    virtual void Draw();
    virtual void DrawSpecial();
    virtual bool HandleEvent(int event);
    virtual bool HandleEventSpecial(int event);
    void Show() { visible = true; };
    void Hide() { visible = false; };
    void SetX(int x) { this->x = x; };
    void SetY(int y) { this->y = y; };
    int GetX() { return x; };
    int GetY() { return y; };
};
//---------------------------------------------------------------------------

class TWindow: public TView {
  protected:
    int x0, y0;
    bool moveing;

  public:
    TWindow(int x, int y, int w, int h);
    virtual void Draw();
    virtual bool HandleEvent(int event);
};
//---------------------------------------------------------------------------

#endif
